Subject: Re: bug#21468: 24.5; When next-line (visual) crosses overlay with before-string="\n" point goes to column 0

From: Noam Postavsky <[email-masked]>
Date: Fri, 9 Oct 2015 19:34:43 -0400

On 10/2/15, Eli Zaretskii <[email-masked]> wrote:
>
> If you want to put the cursor there, you need an overlay with a
> 'cursor' property.

This works nicely. But there are some other glitches.

- On a truncated line with the overlay, move-end-of-line skips to the
next line. (I tried to avoid this by only adding the stretched space
when it's going to be visible. But that just made things worse
(looping in the display engine))

- When at the end of line, next-line goes to the end-of-line instead
of staying on the same column.

> Or we could have a new feature whereby the stretch of white space
> would allow positioning the cursor on it.  Right now, the flag that
> disallows positioning the cursor is hard-coded in the display engine.

Could be interesting, but I don't know of any need for it at present.